List trades
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/trades';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/trades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/trades")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/trades");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/trades \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "b6e537a3-e673-4cd4-832a-cb67b66eb425",
"tradingPair": "USDC/USD",
"referencedUnit": "USDC",
"tradeDirection": "BUY",
"amount": 3333,
"computedAmount": 3359.4960168,
"createdAtUtc": "2025-01-21T17:36:33.310Z",
"updatedAtUtc": "2025-01-21T17:36:33.310Z",
"orderType": "MARKET",
"status": "EXECUTED",
"source": "GUI"
},
{
"id": "93f7189a-0c14-4bf4-8004-1266bd14fbbf",
"tradingPair": "USDC/USD",
"referencedUnit": "USD",
"tradeDirection": "SELL",
"amount": 30507.8873260065,
"computedAmount": 18914.8854134015,
"createdAtUtc": "2025-01-16T04:52:18.167Z",
"updatedAtUtc": "2025-01-16T04:52:18.167Z",
"orderType": "MARKET",
"status": "EXECUTED",
"source": "API"
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}List trades
Returns a paginated list of trades for the organization, covering both completed and pending orders.
GET
/
v1
/
brokerage
/
{orgId}
/
trades
List trades
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/trades';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/trades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/trades")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/trades");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/trades \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "b6e537a3-e673-4cd4-832a-cb67b66eb425",
"tradingPair": "USDC/USD",
"referencedUnit": "USDC",
"tradeDirection": "BUY",
"amount": 3333,
"computedAmount": 3359.4960168,
"createdAtUtc": "2025-01-21T17:36:33.310Z",
"updatedAtUtc": "2025-01-21T17:36:33.310Z",
"orderType": "MARKET",
"status": "EXECUTED",
"source": "GUI"
},
{
"id": "93f7189a-0c14-4bf4-8004-1266bd14fbbf",
"tradingPair": "USDC/USD",
"referencedUnit": "USD",
"tradeDirection": "SELL",
"amount": 30507.8873260065,
"computedAmount": 18914.8854134015,
"createdAtUtc": "2025-01-16T04:52:18.167Z",
"updatedAtUtc": "2025-01-16T04:52:18.167Z",
"orderType": "MARKET",
"status": "EXECUTED",
"source": "API"
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}v1 sunsets December 31, 2026. Migrate to v2 — see the migration guide.
- Track trading activity
- Monitor order statuses
- Generate trading reports
- Reconcile transactions
Errors
| Status | Message | Notes |
|---|---|---|
| 400 | Query validation failed | Request didn’t match schema (bad pagination cursor, malformed filter, etc.) |
| 401 | The authorization key provided is either invalid or expired, please try again | Mint a fresh JWT — see Authentication |
| 500 | An internal error has occurred | Server fault; retry with backoff |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 1Example:
1
Required range:
1 <= x <= 50Example:
10
⌘I